Put verihubs.js on the head tag in index.html

`<script src="https://js.verihubs.com/verihubs.js"></script>`

Put the following script in index.html
```
  var verihubs = new Verihubs()

      let variables = {"see_straight":"Lihat ke depan","open_mouth":"Buka mulut","look_left":"Lihat ke kiri","look_right":"Lihat ke kanan","look_top":"Lihat ke atas"};
      let credential = {"App-ID":"xxxx","API-Key":"xxxx"};

      verihubs.setVariables(variables);
      verihubs.setCredential(credential);
      verihubs.setTimeout(25000);
      verihubs.setTotalInstructions(3);
      verihubs.setAttribute(false);
      verihubs.setPassiveLiveness(false);

      function callLiveness()
      {
        verihubs.verifyLiveness();
      }


      function generateImageFromBase64(base64) {
          const image = document.createElement('img');
          image.id = 'verihubs-captured-image';
          image.src = `data:image/png;base64, ${base64}`;
          image.style.width = '300px';
          image.style.height = 'auto';
          return image;
      }

      function showImage(base64) {
        const verihubsBase64 = document.querySelector('#verihubs-base64');
        if (verihubsBase64 !== null) {
          const image = generateImageFromBase64(base64);

          const isExist = document.querySelector('#verihubs-captured-image') !== null;
          if (isExist) {
            document.querySelector('#verihubs-captured-image').replaceWith(image);
          } else {
            verihubsBase64.append(image);
          }
        }
      }

    window.addEventListener('message', (data) => {
      switch (data.data.status) {
      case 200:
        console.log(data.data.status);
        showImage(data.data.base64String_1);
        verihubs.closeWindow();
        alert('Verifikasi liveness berhasil!');
        break;

      case 401:
        console.log(data.data.status);
        showImage(data.data.base64String_1);
        verihubs.closeWindow();
        alert('Verifikasi liveness tidak berhasil (timeout)');
        break;

      case 402:
        console.log(data.data.status);
        showImage(data.data.base64String_1);
        verihubs.closeWindow();
        alert('Verifikasi liveness tidak berhasil (passive)');
        break;

      case 404:
        console.log(data.data.status);
        showImage(data.data.base64String_1);
        verihubs.closeWindow();
        alert('Attribute terdeteksi (masker)');
        break;

      case 405:
        console.log(data.data.status);
        showImage(data.data.base64String_1);
        verihubs.closeWindow();
        alert('Attribute terdeteksi (kacamata hitam)');
        break;

      case 500:
        console.log(data.data.status);
        verihubs.closeWindow();
        alert('Verifikasi gagal');
        break;
      }
    });

 </script>
```

Call the callLiveness function by window.callLiveness() in the React component. The following is the example of App.js Component.

```
import './App.css';
import React, { Component } from 'react';

class App extends Component {


  handleClick(e) {
    e.preventDefault();
    window.callLiveness();
  }


  render() {
    return (
      <div className="App">
      <header className="App-header">
        <button onClick={this.handleClick}>Test</button>
        <p>
          Edit <code>src/App.js</code> and save to reload.
        </p>
      </header>
    </div>
    )
  }
}

export default App;
```
